From 83e177967dfcb64fb016267f524334567abaafbf Mon Sep 17 00:00:00 2001
From: Ashish Kumar <Ashish.Kumar@nxp.com>
Date: Fri, 27 Oct 2017 17:11:56 +0530
Subject: [PATCH 1/2] armv8: ls1088: introduce CONFIG_SGMII_PHYLIB

Signed-off-by: Ashish Kumar <Ashish.Kumar@nxp.com>
---
 board/freescale/ls1088a/eth_ls1088aqds.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/board/freescale/ls1088a/eth_ls1088aqds.c b/board/freescale/ls1088a/eth_ls1088aqds.c
index 17bfc30..0dbc553 100644
--- a/board/freescale/ls1088a/eth_ls1088aqds.c
+++ b/board/freescale/ls1088a/eth_ls1088aqds.c
@@ -462,7 +462,10 @@ static void initialize_dpmac_to_slot(void)
 
 void ls1088a_handle_phy_interface_sgmii(int dpmac_id)
 {
+#ifdef CONFIG_SGMII_PHYLIB
 	struct mii_dev *bus;
+#endif
+
 	struct ccsr_gur __iomem *gur = (void *)CONFIG_SYS_FSL_GUTS_ADDR;
 	u32 serdes1_prtcl, cfg;
 
@@ -508,8 +511,12 @@ void ls1088a_handle_phy_interface_sgmii(int dpmac_id)
 		return;
 	}
 	dpmac_info[dpmac_id].board_mux = EMI1_SLOT1;
+
+#ifdef CONFIG_SGMII_PHYLIB
 	bus = mii_dev_for_muxval(EMI1_SLOT1);
 	wriop_set_mdio(dpmac_id, bus);
+#endif
+
 }
 
 void ls1088a_handle_phy_interface_qsgmii(int dpmac_id)
-- 
2.7.4

